## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate cursive_core

Name:           rust-cursive_core
Version:        0.3.7
Release:        %autorelease
Summary:        Core components for the Cursive TUI

License:        MIT
URL:            https://crates.io/crates/cursive_core
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop ansi and ansi-parser (missing deps include ufmt with test failures)
Patch:          cursive_core-fix-metadata.diff
# * backported upstream patch to fix tests with unicode-width >=0.1.13:
#   https://github.com/gyscos/cursive/commit/a0e405e
Patch:          0001-Make-spans-test-adaptable-to-unicode-width-version.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Core components for the Cursive TUI.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+doc-cfg-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+doc-cfg-devel %{_description}

This package contains library source intended for building other packages which
use the "doc-cfg" feature of the "%{crate}" crate.

%files       -n %{name}+doc-cfg-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+markdown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+markdown-devel %{_description}

This package contains library source intended for building other packages which
use the "markdown" feature of the "%{crate}" crate.

%files       -n %{name}+markdown-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pulldown-cmark-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pulldown-cmark-devel %{_description}

This package contains library source intended for building other packages which
use the "pulldown-cmark" feature of the "%{crate}" crate.

%files       -n %{name}+pulldown-cmark-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+toml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+toml-devel %{_description}

This package contains library source intended for building other packages which
use the "toml" feature of the "%{crate}" crate.

%files       -n %{name}+toml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable_scroll-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable_scroll-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable_scroll" feature of the "%{crate}" crate.

%files       -n %{name}+unstable_scroll-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 08 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.7-5
- Backport upstream patch to fix tests with unicode-width >= 0.1.13

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.7-1
- Update to 0.3.7 (fixes: rhbz#2160187)
- disable ansi and ansi-parser, ansi-parser depends on ufmt that's failing
  tests (fixes: rhbz#2154673)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue May 11 15:30:07 PDT 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.2-1
- Initial package

## END: Generated by rpmautospec
